Bug 151530 - port update: bump decibel-audio-player to 1.06
Summary: port update: bump decibel-audio-player to 1.06
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-18 10:50 UTC by kipz
Modified: 2010-12-08 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (7.46 KB, patch)
2010-10-18 10:50 UTC, kipz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kipz 2010-10-18 10:50:08 UTC
A few things:

   * Update from 1.05 to 1.06
   * Add support for audio CDs

Fix: Patch attached with submission follows:
Comment 1 Bernhard Froehlich freebsd_committer 2010-10-21 10:47:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 2 Bernhard Froehlich freebsd_committer 2010-10-21 11:26:09 UTC
The changes beyond WITHOUT_MPEG4IP and WITHOUT_WAVPACK do not apply at
all to the current version of the port. Against which version was that
patch made?
If you submit a patch please don't copy it out of your terminal
emulator because you loose all tabulators with that and I can't apply it
anymore.

-- 
Bernhard Froehlich
http://www.bluelife.at/
Comment 3 Bernhard Froehlich 2010-10-21 22:28:39 UTC
On Thu, 21 Oct 2010 16:31:54 -0400, john blaze <somicide@gmail.com>
wrote:
> Just go ahead and close and ignore that. This is the third time I've
> managed to screw this up so I wont be submitting anymore new ports or
> updates.
> 
> Sorry for the trouble

No problem at all. I've extracted the relevant pieces out of your patch
and will commit it when testing succeeds. If you do not want to maintain
the port anymore just say so.

But if you want to learn more details have a look at the Porters
Handbook and I'm sure you will manage to send a proper patch. You just
need to get it right once. After that it's much easier. But it's not
unusual that the first few patches of new people need some rework.

Porters Handbook:
http://www.freebsd.org/doc/en/books/porters-handbook/

(Please keep bug-followup@FreeBSD.org CC'd so that your reply lands in
the PR database)

-- 
Bernhard Fröhlich
http://www.bluelife.at/
Comment 4 kipz 2010-10-22 02:00:19 UTC
On Thu, Oct 21, 2010 at 5:28 PM, Bernhard Froehlich <decke@bluelife.at>wrote:

> On Thu, 21 Oct 2010 16:31:54 -0400, john blaze <somicide@gmail.com>
> wrote:
> > Just go ahead and close and ignore that. This is the third time I've
> > managed to screw this up so I wont be submitting anymore new ports or
> > updates.
> >
> > Sorry for the trouble
>
> No problem at all. I've extracted the relevant pieces out of your patch
> and will commit it when testing succeeds. If you do not want to maintain
> the port anymore just say so.
>
> But if you want to learn more details have a look at the Porters
> Handbook and I'm sure you will manage to send a proper patch. You just
> need to get it right once. After that it's much easier. But it's not
> unusual that the first few patches of new people need some rework.
>
> Porters Handbook:
> http://www.freebsd.org/doc/en/books/porters-handbook/
>
> (Please keep bug-followup@FreeBSD.org CC'd so that your reply lands in
> the PR database)
>
> --
> Bernhard Fröhlich
> http://www.bluelife.at/
>


Ok, I'll continue maintaining this port then. I've got the whole submission
thing down with sending a .shar, but just to clarify the method of sending a
correct diff, should I do the following instead?

diff -ruN _x_port_ _y_port_ > somediff

Also (I think this is what you're talking about, please correct me if I'm
wrong), I commented the two parts (LIB_DEPENDS) out because of a problem I
thought existed in this port, where commenting those two out let it build
itself properly. I also figured that if you just require the USE_GSTREAMER
version, it would automatically pull those libs in too. In either case, the
problem itself was that those two libs were already built and installed via
ports, but despite that it would still attempt to build those two libs when
building this port (giving you the "this port is already installed" error).
Finally, you are right about those two dependencies because I just took a
closer look at the mpeg4 port and this is indeed not required, as we are
using FAAD to do the audio decoding, and it turns out that WAV's do not work
at all in decibel (please remove this before commit). The initial base of
the port was based on the quodlibet port which had the rough layout I needed
to get without writing the entire thing myself. Thats about it I think, I'll
keep reading the porters handbook too.
Comment 5 dfilter service freebsd_committer 2010-12-08 14:25:29 UTC
decke       2010-12-08 14:25:21 UTC

  FreeBSD ports repository

  Modified files:
    audio/decibel-audio-player Makefile distinfo pkg-plist 
  Log:
  - Update to 1.06
  - Add support for audio CDs
  
  PR:             ports/151530
  Submitted by:   kipz <somicide at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.2       +9 -2      ports/audio/decibel-audio-player/Makefile
  1.2       +2 -3      ports/audio/decibel-audio-player/distinfo
  1.2       +41 -37    ports/audio/decibel-audio-player/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Bernhard Froehlich freebsd_committer 2010-12-08 14:26:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!